ranges::v3::concepts::WeaklyIncrementable Struct Reference
Inheritance diagram for ranges::v3::concepts::WeaklyIncrementable:

## Public Types

template<typename I >
using | difference_t = meta::_t< difference_type< I > >
Public Types inherited from ranges::v3::concepts::refines< SemiRegular >
using | base_concepts_t = meta::list< Concepts... >

## Public Member Functions

| concepts::has_type (++i)
template<typename I >
auto | requires_ (I i) -> decltype(concepts::valid_expr(concepts::is_true(std::is_integral< difference_t< I >>
Public Member Functions inherited from ranges::v3::concepts::refines< SemiRegular >
void | requires_ ()

## Public Attributes

void | i